import { Provider } from '@angular/core';
import { DefaultLanguageFeature } from './default-language/default-language';
import { DefaultUndefinedOrNullBooleanToFeature } from './default-undefined-boolean-to/default-undefined-boolean-to';
import { DefaultUndefinedKeyToFeature } from './default-undefined-key-to/default-undefined-key-to';
import { AssetsPathFeature } from './assets-path/assets-path';
import { RememberLanguageFeature } from './remember-language/remember-language';
import { AutoTranslatedLanguagesFeature } from './auto-translated-languages/auto-translated-languages';
import { LibreTranslateFeature } from './libre-translate/libre-translate';
export declare enum TranslateFeatureKind {
    DEFAULT_LANGUAGE = 0,
    DEFAULT_UNDEFINED_OR_NULL_BOOLEAN_TO = 1,
    DEFAULT_UNDEFINED_KEY_TO = 2,
    ASSETS_PATH = 3,
    REMEMBER_LANGUAGE = 4,
    AUTO_TRANSLATED_LANGUAGES = 5,
    LIBRE_TRANSLATE = 6
}
export declare interface TranslateFeature<KindT extends TranslateFeatureKind> {
    kind: KindT;
    providers: Provider[];
}
export declare type TranslateFeatures = DefaultLanguageFeature | DefaultUndefinedOrNullBooleanToFeature | DefaultUndefinedKeyToFeature | AssetsPathFeature | RememberLanguageFeature | AutoTranslatedLanguagesFeature | LibreTranslateFeature;
//# sourceMappingURL=translate.features.d.ts.map